(function(){
    X.pageLogic['dropdownlist'] = {
        init : function(parms){
            var me = this;
            this.parms = parms;
            this.callback = parms.callback;
            var listdata = parms.extData;
            // console.log('aaa',listdata);

            X.laytpldata("#dropdownlist-con-box-dot",listdata,".dropdownlist-con-box");

            $(document).off('click','.dropdownlist-list').on('click','.dropdownlist-list',function(){
                var index = $(this).attr("data-index");
                var dataArr = listdata[index];
                layer.closeAll();
                me.callback && me.callback(dataArr);
            })

        }
    };
})();
